body {
    display: grid;
    grid-template-areas:
        "sidebar main"
        "sidebar footer";
    grid-template-rows: 1fr clamp(120px, 2vh, 200px); 
    grid-template-columns: 100px 1fr;
    min-height: 100vh;
}

sidebar {
    grid-area: sidebar;
    background-color: #fff;
    /* width: 200px;
    height: 100vh; */
    border-right: 1px solid var(--border-color);
}

main {
    grid-area: main;
    background-color: #f6f6f6;
    /* height: calc(100vh - 120px); */
    width: 100%;
    position: relative;
    display: flex;
    
}

main::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: clamp(160px, 20vh, 280px);
    background-color: var(--primary-color);
    clip-path: ellipse(75% 100% at 50% 0%);
    
    z-index: 1;
}

.quiz-container {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 24px clamp(24px, 10vw, 200px);
    width: 100%;
    margin: clamp(120px, 22vh, 360px) auto 0;
}

.options-container {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

label {
    input[type="radio"] {
        display: none;
    }
    input[type="radio"]:checked + .options {
        background-color: #EAE4F7;
        border-color: var(--selected-color);
        color: var(--selected-color);
        > div {
            background-color: var(--selected-color);
            border: none;
            color: #fff;
        }
    }
    input[type="radio"]:active + .options {
        border-bottom-width: 4px;
    }
}

.options {
    display: flex;
    align-items: center;
    padding: 0 24px;
    gap: 20px;
    width: 100%;
    min-height: clamp(72px, 10vh, 120px);
    background-color: #fff;
    border: 4px solid var(--border-color);
    border-radius: 36px;
    border-bottom: 8px solid var(--border-color);
    font-family: 'Poppins', sans-serif;
    font-weight: 700;
    cursor: pointer;
    user-select: none;
    transition: all 250ms ease;
    transition: border 100ms linear;
    color: #666;
    > div {
        display: flex;
        align-items: center;
        justify-content: center;
        height: clamp(44px, 5vh, 60px);
        width: clamp(44px, 5vh, 60px);
        border-radius: 12px;
        border: 4px solid var(--border-color);
        color: #AFAFAF;
        font-weight: 700;
        font-size: clamp(1.1rem, 1.5vw, 1.5rem);
    }
}

footer {
    grid-area: footer;
    background-color: #fff;
    border-top: 1px solid var(--border-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 clamp(24px, 10vw, 200px);
    > .options {
        justify-content: center;
        min-height: clamp(72px, 6vh, 80px);
        width: 400px;
        > p {font-size: clamp(1.1rem, 1.2vw, 2rem); font-weight: 700;}
    }
    > .options#submit {
        background-color: var(--selected-color);
        border: none;
        border-bottom: 6px solid #6B36DA;
        color: #fff;
    } .options#skip {p{color:#AFAFAF;}}
}